---
# yaml-language-server: $schema=https://schema.blue-build.org/module-list-v1.json
modules:
  - type: dnf
    repos:
      cleanup: true
      files:
        - https://pkgs.tailscale.com/stable/fedora/tailscale.repo
        - https://brave-browser-rpm-release.s3.brave.com/brave-browser.repo
        - fury.repo
        - https://repository.mullvad.net/rpm/stable/mullvad.repo
      keys:
        - https://brave-browser-rpm-release.s3.brave.com/brave-core.asc
        - https://repository.mullvad.net/deb/mullvad-keyring.asc
    install:
      packages:
        - xdg-terminal-exec
        - mullvad-vpn
        - mullvad-browser
        - borgbackup
        - vorta
        - libadwaita
        - cronie
        - plasma-browser-integration
        - id3v2
        - xinput
        - ripgrep
        - tailscale
        - strawberry
        - xclip
        - bat
        - brave-browser
        - syncthing
        - fish
        - cabextract
        - xorg-x11-font-utils
        - fontconfig
        - nu
        - util-linux
        - carapace-bin
        - libreoffice
  - type: systemd
    system:
      enabled:
        - mullvad-daemon
        - mullvad-early-boot-blocking
  - type: script
    scripts:
      - install-bitwarden.nu
